import{s as Ht,n as Nt,o as Bt}from"../chunks/scheduler.22bf70d2.js";import{S as Vt,i as St,g as o,s as a,r as d,A as Ot,h as c,f as r,c as n,j as _,u as m,x as b,k,y as t,a as l,v as g,d as p,t as u,w as h}from"../chunks/index.59178e06.js";import{D as v}from"../chunks/Docstring.cefe8221.js";import{H as mt}from"../chunks/Heading.f8746c79.js";function Ut(gt){let M,ye,we,Le,D,Me,P,Ce,s,H,ze,Q,pt="A base Tracker class to be used for all logging integration implementations.",Ge,Y,ut=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/main/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,We,Z,ht="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",qe,ee,ft=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,Fe,te,_t=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Re,C,N,je,re,kt=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Ke,E,B,Je,ae,vt="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",Xe,I,V,Qe,ne,bt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Ee,S,Ie,T,O,Ye,oe,$t="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",Ze,ce,U,Ae,w,z,et,ie,Tt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",tt,se,G,De,$,W,rt,le,wt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",at,de,xt="API keys must be stored in a Comet config file.",nt,me,q,Pe,x,F,ot,ge,yt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",ct,pe,R,He,y,j,it,ue,Lt="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",st,he,K,Ne,L,J,lt,fe,Mt="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",dt,_e,X,Be,xe,Ve;return D=new mt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),P=new mt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),H=new v({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L91"}}),N=new v({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L157"}}),B=new v({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": Optional"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L144"}}),V=new v({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L132"}}),S=new mt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),O=new v({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.TensorBoardTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L165"}}),U=new v({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L181"}}),z=new v({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.WandBTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L276"}}),G=new v({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L291"}}),W=new v({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.CometMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L399"}}),q=new v({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L415"}}),F=new v({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.AimTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L480"}}),R=new v({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L494"}}),j=new v({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L579"}}),K=new v({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L610"}}),J=new v({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.`,name:"run_name"},{anchor:"accelerate.tracking.ClearMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L724"}}),X=new v({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/tracking.py#L739"}}),{c(){M=o("meta"),ye=a(),we=o("p"),Le=a(),d(D.$$.fragment),Me=a(),d(P.$$.fragment),Ce=a(),s=o("div"),d(H.$$.fragment),ze=a(),Q=o("p"),Q.textContent=pt,Ge=a(),Y=o("p"),Y.innerHTML=ut,We=a(),Z=o("p"),Z.innerHTML=ht,qe=a(),ee=o("p"),ee.innerHTML=ft,Fe=a(),te=o("p"),te.innerHTML=_t,Re=a(),C=o("div"),d(N.$$.fragment),je=a(),re=o("p"),re.textContent=kt,Ke=a(),E=o("div"),d(B.$$.fragment),Je=a(),ae=o("p"),ae.innerHTML=vt,Xe=a(),I=o("div"),d(V.$$.fragment),Qe=a(),ne=o("p"),ne.innerHTML=bt,Ee=a(),d(S.$$.fragment),Ie=a(),T=o("div"),d(O.$$.fragment),Ye=a(),oe=o("p"),oe.innerHTML=$t,Ze=a(),ce=o("div"),d(U.$$.fragment),Ae=a(),w=o("div"),d(z.$$.fragment),et=a(),ie=o("p"),ie.innerHTML=Tt,tt=a(),se=o("div"),d(G.$$.fragment),De=a(),$=o("div"),d(W.$$.fragment),rt=a(),le=o("p"),le.innerHTML=wt,at=a(),de=o("p"),de.textContent=xt,nt=a(),me=o("div"),d(q.$$.fragment),Pe=a(),x=o("div"),d(F.$$.fragment),ot=a(),ge=o("p"),ge.innerHTML=yt,ct=a(),pe=o("div"),d(R.$$.fragment),He=a(),y=o("div"),d(j.$$.fragment),it=a(),ue=o("p"),ue.innerHTML=Lt,st=a(),he=o("div"),d(K.$$.fragment),Ne=a(),L=o("div"),d(J.$$.fragment),lt=a(),fe=o("p"),fe.innerHTML=Mt,dt=a(),_e=o("div"),d(X.$$.fragment),Be=a(),xe=o("p"),this.h()},l(e){const i=Ot("svelte-u9bgzb",document.head);M=c(i,"META",{name:!0,content:!0}),i.forEach(r),ye=n(e),we=c(e,"P",{}),_(we).forEach(r),Le=n(e),m(D.$$.fragment,e),Me=n(e),m(P.$$.fragment,e),Ce=n(e),s=c(e,"DIV",{class:!0});var f=_(s);m(H.$$.fragment,f),ze=n(f),Q=c(f,"P",{"data-svelte-h":!0}),b(Q)!=="svelte-m7ldax"&&(Q.textContent=pt),Ge=n(f),Y=c(f,"P",{"data-svelte-h":!0}),b(Y)!=="svelte-nxw2h6"&&(Y.innerHTML=ut),We=n(f),Z=c(f,"P",{"data-svelte-h":!0}),b(Z)!=="svelte-sgpklc"&&(Z.innerHTML=ht),qe=n(f),ee=c(f,"P",{"data-svelte-h":!0}),b(ee)!=="svelte-fdst8q"&&(ee.innerHTML=ft),Fe=n(f),te=c(f,"P",{"data-svelte-h":!0}),b(te)!=="svelte-189sskg"&&(te.innerHTML=_t),Re=n(f),C=c(f,"DIV",{class:!0});var Se=_(C);m(N.$$.fragment,Se),je=n(Se),re=c(Se,"P",{"data-svelte-h":!0}),b(re)!=="svelte-va87im"&&(re.textContent=kt),Se.forEach(r),Ke=n(f),E=c(f,"DIV",{class:!0});var Oe=_(E);m(B.$$.fragment,Oe),Je=n(Oe),ae=c(Oe,"P",{"data-svelte-h":!0}),b(ae)!=="svelte-czjed5"&&(ae.innerHTML=vt),Oe.forEach(r),Xe=n(f),I=c(f,"DIV",{class:!0});var Ue=_(I);m(V.$$.fragment,Ue),Qe=n(Ue),ne=c(Ue,"P",{"data-svelte-h":!0}),b(ne)!=="svelte-ijycp8"&&(ne.innerHTML=bt),Ue.forEach(r),f.forEach(r),Ee=n(e),m(S.$$.fragment,e),Ie=n(e),T=c(e,"DIV",{class:!0});var ke=_(T);m(O.$$.fragment,ke),Ye=n(ke),oe=c(ke,"P",{"data-svelte-h":!0}),b(oe)!=="svelte-4bz4fo"&&(oe.innerHTML=$t),Ze=n(ke),ce=c(ke,"DIV",{class:!0});var Ct=_(ce);m(U.$$.fragment,Ct),Ct.forEach(r),ke.forEach(r),Ae=n(e),w=c(e,"DIV",{class:!0});var ve=_(w);m(z.$$.fragment,ve),et=n(ve),ie=c(ve,"P",{"data-svelte-h":!0}),b(ie)!=="svelte-1funvbl"&&(ie.innerHTML=Tt),tt=n(ve),se=c(ve,"DIV",{class:!0});var Et=_(se);m(G.$$.fragment,Et),Et.forEach(r),ve.forEach(r),De=n(e),$=c(e,"DIV",{class:!0});var A=_($);m(W.$$.fragment,A),rt=n(A),le=c(A,"P",{"data-svelte-h":!0}),b(le)!=="svelte-46z6qn"&&(le.innerHTML=wt),at=n(A),de=c(A,"P",{"data-svelte-h":!0}),b(de)!=="svelte-1byed2r"&&(de.textContent=xt),nt=n(A),me=c(A,"DIV",{class:!0});var It=_(me);m(q.$$.fragment,It),It.forEach(r),A.forEach(r),Pe=n(e),x=c(e,"DIV",{class:!0});var be=_(x);m(F.$$.fragment,be),ot=n(be),ge=c(be,"P",{"data-svelte-h":!0}),b(ge)!=="svelte-1wn9vfq"&&(ge.innerHTML=yt),ct=n(be),pe=c(be,"DIV",{class:!0});var At=_(pe);m(R.$$.fragment,At),At.forEach(r),be.forEach(r),He=n(e),y=c(e,"DIV",{class:!0});var $e=_(y);m(j.$$.fragment,$e),it=n($e),ue=c($e,"P",{"data-svelte-h":!0}),b(ue)!=="svelte-109p8cy"&&(ue.innerHTML=Lt),st=n($e),he=c($e,"DIV",{class:!0});var Dt=_(he);m(K.$$.fragment,Dt),Dt.forEach(r),$e.forEach(r),Ne=n(e),L=c(e,"DIV",{class:!0});var Te=_(L);m(J.$$.fragment,Te),lt=n(Te),fe=c(Te,"P",{"data-svelte-h":!0}),b(fe)!=="svelte-b632ft"&&(fe.innerHTML=Mt),dt=n(Te),_e=c(Te,"DIV",{class:!0});var Pt=_(_e);m(X.$$.fragment,Pt),Pt.forEach(r),Te.forEach(r),Be=n(e),xe=c(e,"P",{}),_(xe).forEach(r),this.h()},h(){k(M,"name","hf:doc:metadata"),k(M,"content",zt),k(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,M),l(e,ye,i),l(e,we,i),l(e,Le,i),g(D,e,i),l(e,Me,i),g(P,e,i),l(e,Ce,i),l(e,s,i),g(H,s,null),t(s,ze),t(s,Q),t(s,Ge),t(s,Y),t(s,We),t(s,Z),t(s,qe),t(s,ee),t(s,Fe),t(s,te),t(s,Re),t(s,C),g(N,C,null),t(C,je),t(C,re),t(s,Ke),t(s,E),g(B,E,null),t(E,Je),t(E,ae),t(s,Xe),t(s,I),g(V,I,null),t(I,Qe),t(I,ne),l(e,Ee,i),g(S,e,i),l(e,Ie,i),l(e,T,i),g(O,T,null),t(T,Ye),t(T,oe),t(T,Ze),t(T,ce),g(U,ce,null),l(e,Ae,i),l(e,w,i),g(z,w,null),t(w,et),t(w,ie),t(w,tt),t(w,se),g(G,se,null),l(e,De,i),l(e,$,i),g(W,$,null),t($,rt),t($,le),t($,at),t($,de),t($,nt),t($,me),g(q,me,null),l(e,Pe,i),l(e,x,i),g(F,x,null),t(x,ot),t(x,ge),t(x,ct),t(x,pe),g(R,pe,null),l(e,He,i),l(e,y,i),g(j,y,null),t(y,it),t(y,ue),t(y,st),t(y,he),g(K,he,null),l(e,Ne,i),l(e,L,i),g(J,L,null),t(L,lt),t(L,fe),t(L,dt),t(L,_e),g(X,_e,null),l(e,Be,i),l(e,xe,i),Ve=!0},p:Nt,i(e){Ve||(p(D.$$.fragment,e),p(P.$$.fragment,e),p(H.$$.fragment,e),p(N.$$.fragment,e),p(B.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(O.$$.fragment,e),p(U.$$.fragment,e),p(z.$$.fragment,e),p(G.$$.fragment,e),p(W.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),Ve=!0)},o(e){u(D.$$.fragment,e),u(P.$$.fragment,e),u(H.$$.fragment,e),u(N.$$.fragment,e),u(B.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(O.$$.fragment,e),u(U.$$.fragment,e),u(z.$$.fragment,e),u(G.$$.fragment,e),u(W.$$.fragment,e),u(q.$$.fragment,e),u(F.$$.fragment,e),u(R.$$.fragment,e),u(j.$$.fragment,e),u(K.$$.fragment,e),u(J.$$.fragment,e),u(X.$$.fragment,e),Ve=!1},d(e){e&&(r(ye),r(we),r(Le),r(Me),r(Ce),r(s),r(Ee),r(Ie),r(T),r(Ae),r(w),r(De),r($),r(Pe),r(x),r(He),r(y),r(Ne),r(L),r(Be),r(xe)),r(M),h(D,e),h(P,e),h(H),h(N),h(B),h(V),h(S,e),h(O),h(U),h(z),h(G),h(W),h(q),h(F),h(R),h(j),h(K),h(J),h(X)}}}const zt='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function Gt(gt){return Bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends Vt{constructor(M){super(),St(this,M,Gt,Ut,Ht,{})}}export{jt as component};
